Subject: Re: Arch: powerpc or ppc?

From: Andrei Konovalov <[email-masked]>
Date: Thu, 22 Mar 2007 15:34:38 +0300

Hi Trevor,

There is (minimalistic) support for Xilinx Virtex 4 under ppc.
Unless you plan to move those chips to powerpc by yourself,
you should use ppc.

Thanks,
Andrei

Trevor Barton wrote:
> I've just started bringing Linux up on a Xilinx Virtex 4 FPGA with a 
> PPC405 core.  I'm using 2.6.15, and a crosstools-built toolchain from an 
> x86 running Linux.  The choice of kernel version was because crosstools 
> identified it as a working combination and I can see no reason to choose 
> anything different at the moment.
> 
> I'm a bit confused about the difference between the ppc and powerpc 
> architecture trees in the kernel.  I've been using the ppc tree because 
> that seems to have the requisite sources in it (I'm basing it on the 
> ML300 code which seems to be the thing to do), and also because that was 
> the only powerpc-related  tree in earlier kernels.  I can't seem to find 
> any documentation as to where the powerpc tree appeared from and why.
> 
> Can anyone confirm that I should still be using the ppc tree?  Or even 
> better, point me to some documentation regarding them both?
> 
> Actually, while I'm at it, pointers to anything useful regarding the 2.6 
> kernel and the Virtex 4 would be helpful.  I've found a reasonable 
> amount of stuff myself, but as these things usually go I'll only find 
> the best documentation after I've solved the problems myself and 
> therefore know what I'm looking for!
> 
> Thanks in advance,
> Trevor Barton
>